Class | Spec::Story::GivenScenario
In: | lib/spec/story/given_scenario.rb
Parent: | Object

### Methods

new perform

### Public Class methods

new(name)

[Source]

       # File lib/spec/story/given_scenario.rb, line 4
    4:       def initialize(name)
    5:         @name = name
    6:       end

### Public Instance methods

perform(instance, ignore_name)

[Source]

        # File lib/spec/story/given_scenario.rb, line 8
     8:       def perform(instance, ignore_name)
     9:         scenario = Runner::StoryRunner.scenario_from_current_story(@name)
    10:         Runner::ScenarioRunner.new.run(scenario, instance)
    11:       end

[Validate]